#! usr/bin/perl
use strict;
use warnings;
use List::Util qw(max);

#This simple scripts generates the random color files that the coord_summary program requires
#along with the simlulation outfile to work.  Input should be
#a csv file or txt file with all of the beads you want tracked by the 
#coord_summary program.


#ensures that the input file and output directory are in command line
defined($ARGV[0]) or die "Usage: bead_file.csv output_directory";
defined($ARGV[1]) or die "Usage: bead_file.csv output_directory";

open FILE, '<', $ARGV[0] or die "Cannot open $ARGV[0]";
my $i = 1;

while (<FILE>)	{
	
	chomp;
	my @line = split /,/, $_;
	my $lastbead = max @line;
	my $length = (@line);
	if ($length>=1) { 
		open OUT, '>', "$ARGV[1]/outfile$i.csv" or die "Cannot open output";
		for (my $x = 0; $x <= $lastbead; $x++) {
			if ( $x ~~ @line ) {
				print OUT "4\n";
			} else {
				print OUT "0\n";
			}
		}
		
		$i++;
	}
	
}
close OUT;
close FILE;
